(file) Return to lsb-pegasus.rc CVS log (file) (dir) Up to [Pegasus] / pegasus / rpm

 1 konrad.r 1.1 #! /bin/sh
 2              #%/////////////////////////////////////////////////////////////////////////////
 3              #
 4              # Copyright (c) 2004 BMC Software, Hewlett-Packard Company, IBM,
 5              # The Open Group, Tivoli Systems
 6              #
 7              # Permission is hereby granted, free of charge, to any person obtaining a copy
 8              # of this software and associated documentation files (the "Software"), to
 9              # deal in the Software without restriction, including without limitation the
10              # rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
11              # sell copies of the Software, and to permit persons to whom the Software is
12              # furnished to do so, subject to the following conditions:
13              # 
14              # THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN
15              # ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED
16              # "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
17              # LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
18              # PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
19              # HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
20              # ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
21              # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
22 konrad.r 1.1 #
23              #==============================================================================
24              #
25              # Author: Konrad Rzeszutek <konradr@us.ibm.com>
26              #
27              #%/////////////////////////////////////////////////////////////////////////////
28              
29              ### BEGIN INIT INFO
30              # Provides: lsb-pegasus
31              # Required-Start: $syslog $network
32              # Should-Start: $time 
33              # Required-Stop: $syslog  
34              # Default-Start:  3 5
35              # Default-Stop: 0 1 2 6
36              # Description:    init script for Pegasus CIMServer
37              ### END INIT INFO
38              
39              CIMSERVER_BIN=/opt/lsb-pegasus/sbin/cimserver
40              prog=cimserver
41              
42              test -x $CIMSERVER_BIN || exit 5
43 konrad.r 1.1 
44              . /lib/lsb/init-functions
45              RETVAL=0
46              
47              case "$1" in
48                   start)
49              	echo -n $"Starting up Pegasus CIMOM daemon: "
50              	start_daemon $CIMSERVER_BIN
51              	RETVAL=$?
52              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"
53              	echo
54              	;;
55              
56                   stop)
57              	echo -n $"Shutting down Pegasus CIMOM daemon: "
58              	kill_proc cimserver
59              	RETVAL=$?
60              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog stop" || log_failure_msg $"$prog stop"
61              	echo
62              	;;
63                   status) 
64 konrad.r 1.1 	status $CIMSERVER_BIN 
65              	RETVAL=$?
66              	;;
67                   try-restart)
68              	$0 stop && $0 start
69              	;;
70                   restart|force-reload)
71              	$0 stop
72              	$0 start
73              	;;
74                   reload)
75              	;;
76                   *)
77              	echo "Usage: $0 {start|stop|status|restart|reload|force-reload|try-restart}"
78              	exit 1
79              esac
80              
81              exit $RETVAL
82              

No CVS admin address has been configured
Powered by
ViewCVS 0.9.2